<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.bofeng.generator.QzTaskReplyDao">
  <resultMap id="BaseResultMap" type="com.bofeng.generator.QzTaskReply">
    <id column="reply_id" jdbcType="BIGINT" property="replyId" />
    <result column="task_id" jdbcType="BIGINT" property="taskId" />
    <result column="user_id" jdbcType="BIGINT" property="userId" />
    <result column="reply_content" jdbcType="VARCHAR" property="replyContent" />
    <result column="user_create" jdbcType="BIGINT" property="userCreate" />
    <result column="time_create" jdbcType="TIMESTAMP" property="timeCreate" />
    <result column="user_update" jdbcType="BIGINT" property="userUpdate" />
    <result column="time_update" jdbcType="TIMESTAMP" property="timeUpdate" />
  </resultMap>
  <sql id="Base_Column_List">
    reply_id, task_id, user_id, reply_content, user_create, time_create, user_update, 
    time_update
  </sql>
  <select id="selectByPrimaryKey" parameterType="java.lang.Long" resultMap="BaseResultMap">
    select 
    <include refid="Base_Column_List" />
    from qz_task_reply
    where reply_id = #{replyId,jdbcType=BIGINT}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long">
    delete from qz_task_reply
    where reply_id = #{replyId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" keyColumn="reply_id" keyProperty="replyId" parameterType="com.bofeng.generator.QzTaskReply" useGeneratedKeys="true">
    insert into qz_task_reply (task_id, user_id, reply_content, 
      user_create, time_create, user_update, 
      time_update)
    values (#{taskId,jdbcType=BIGINT}, #{userId,jdbcType=BIGINT}, #{replyContent,jdbcType=VARCHAR}, 
      #{userCreate,jdbcType=BIGINT}, #{timeCreate,jdbcType=TIMESTAMP}, #{userUpdate,jdbcType=BIGINT}, 
      #{timeUpdate,jdbcType=TIMESTAMP})
  </insert>
  <insert id="insertSelective" keyColumn="reply_id" keyProperty="replyId" parameterType="com.bofeng.generator.QzTaskReply" useGeneratedKeys="true">
    insert into qz_task_reply
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="taskId != null">
        task_id,
      </if>
      <if test="userId != null">
        user_id,
      </if>
      <if test="replyContent != null">
        reply_content,
      </if>
      <if test="userCreate != null">
        user_create,
      </if>
      <if test="timeCreate != null">
        time_create,
      </if>
      <if test="userUpdate != null">
        user_update,
      </if>
      <if test="timeUpdate != null">
        time_update,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="taskId != null">
        #{taskId,jdbcType=BIGINT},
      </if>
      <if test="userId != null">
        #{userId,jdbcType=BIGINT},
      </if>
      <if test="replyContent != null">
        #{replyContent,jdbcType=VARCHAR},
      </if>
      <if test="userCreate != null">
        #{userCreate,jdbcType=BIGINT},
      </if>
      <if test="timeCreate != null">
        #{timeCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="userUpdate != null">
        #{userUpdate,jdbcType=BIGINT},
      </if>
      <if test="timeUpdate != null">
        #{timeUpdate,jdbcType=TIMESTAMP},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bofeng.generator.QzTaskReply">
    update qz_task_reply
    <set>
      <if test="taskId != null">
        task_id = #{taskId,jdbcType=BIGINT},
      </if>
      <if test="userId != null">
        user_id = #{userId,jdbcType=BIGINT},
      </if>
      <if test="replyContent != null">
        reply_content = #{replyContent,jdbcType=VARCHAR},
      </if>
      <if test="userCreate != null">
        user_create = #{userCreate,jdbcType=BIGINT},
      </if>
      <if test="timeCreate != null">
        time_create = #{timeCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="userUpdate != null">
        user_update = #{userUpdate,jdbcType=BIGINT},
      </if>
      <if test="timeUpdate != null">
        time_update = #{timeUpdate,jdbcType=TIMESTAMP},
      </if>
    </set>
    where reply_id = #{replyId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bofeng.generator.QzTaskReply">
    update qz_task_reply
    set task_id = #{taskId,jdbcType=BIGINT},
      user_id = #{userId,jdbcType=BIGINT},
      reply_content = #{replyContent,jdbcType=VARCHAR},
      user_create = #{userCreate,jdbcType=BIGINT},
      time_create = #{timeCreate,jdbcType=TIMESTAMP},
      user_update = #{userUpdate,jdbcType=BIGINT},
      time_update = #{timeUpdate,jdbcType=TIMESTAMP}
    where reply_id = #{replyId,jdbcType=BIGINT}
  </update>
</mapper>